import Vue, { PluginFunction, PluginObject, VueConstructor } from 'vue';
declare type IPluginObject<T> = PluginObject<T> | PluginFunction<T>;
export interface IPlugin<T> {
    [key: string]: [IPluginObject<T>, T];
}
export declare function initPlugins<T>(vueConstructor: VueConstructor<Vue>, plugins: IPlugin<T>): void;
export {};
